const state = {
  search: '',
  isSearch: 0, // 是否点击了搜索按钮
  defaultNav: '', // 记录销售页nav切换时，路由名
  totalOf0: 0,
  totalOf1: 0,
  totalOf2: 0
}

const getters = {
  searchValue (state) {
    return state.search
  },
  isSearch (state) {
    return state.isSearch
  },
  defaultNav (state) {
    return state.defaultNav
  },
  totalOf0 (state) {
    return state.totalOf0
  },
  totalOf1 (state) {
    return state.totalOf1
  },
  totalOf2 (state) {
    return state.totalOf2
  }
}

const actions = {
  setSearchValue ({ commit }, value) {
    commit('UPDATE_SEARCH_VALUE', value)
  },
  setIsSearch ({ commit }, value) {
    commit('UPDATE_ISSEARCH_VALUE', value)
  },
  defaultNav ({ commit }, value) {
    commit('UPDATE_DEFAULTNAV_VALUE', value)
  },
  setTotal ({ commit }, value) {
    commit('UPDATE_TOTAL_VALUE', value)
  }
}

const mutations = {
  UPDATE_SEARCH_VALUE (state, value) {
    state.search = value
  },
  UPDATE_ISSEARCH_VALUE (state, value) {
    state.isSearch = value
  },
  UPDATE_DEFAULTNAV_VALUE (state, value) {
    state.defaultNav = value
  },
  UPDATE_TOTAL_VALUE (state, obj) {
    state[`totalOf${obj.status}`] = obj.value
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
